Skip to main content
POST
/
wallet
/
withdraw
Initiate withdrawal
curl --request POST \
  --url https://api.natural.co/wallet/withdraw \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --header 'Idempotency-Key: <idempotency-key>' \
  --data '
{
  "data": {
    "attributes": {
      "amount": "250000",
      "currency": "USD",
      "external_funding_source_id": "efs_019cd3444a77776dadda2c30ff23706d",
      "description": null,
      "wallet_id": null
    }
  }
}
'
{
  "data": {
    "type": "withdrawal",
    "id": "trf_019cd3444a7872adbf5ae1a50a949a64",
    "attributes": {
      "status": "PENDING",
      "amount": "50000",
      "currency": "USD",
      "instruction_id": null,
      "estimated_settlement": null,
      "kyc_required": false,
      "kyc_status": null,
      "kyc_session_url": null,
      "mfa_required": false,
      "mfa_challenge_id": null,
      "mfa_expires_at": null,
      "error": null,
      "error_details": null
    }
  }
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Headers

Idempotency-Key
string
required

Unique key for idempotent request handling. If a request with the same key was already processed, the original response is returned.

X-Agent-ID
string | null

Agent ID (agt_xxx) identifying which agent is making the request.

X-Instance-ID
string | null

Agent session/conversation ID for observability.

Maximum string length: 1024

Body

application/json

Request body for creating a withdrawal.

data
WithdrawCreateData · object
required

Resource object

Response

Successful Response

Withdrawal response.

data
WithdrawalResultResource · object
required

Resource object